OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class ManagedService

    java.lang.Object
      org.opennms.web.admin.nodeManagement.ManagedService

public class ManagedService
extends java.lang.Object

A servlet that stores service information

Author:
  Jason Johns , OpenNMS

Field Summary
`protected java.lang.String` `name`
`protected int` `serviceId`
`protected java.lang.String` `status`

Constructor Summary
`ManagedService()`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getStatus()`
`void` `setId(int id)`
`void` `setName(java.lang.String newName)`
`void` `setStatus(java.lang.String newStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### status

    protected java.lang.String status

### serviceId

    protected int serviceId

Constructor Detail

### ManagedService

    public ManagedService()

Method Detail

### setId

    public void setId(int id)

### getId

    public int getId()

### setName

    public void setName(java.lang.String newName)

### getName

    public java.lang.String getName()

### setStatus

    public void setStatus(java.lang.String newStatus)

### getStatus

    public java.lang.String getStatus()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.